<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function volunteer_registration_feature_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_node_info().
 */
function volunteer_registration_feature_node_info() {
  $items = array(
    'volunteer_registration' => array(
      'name' => t('Volunteer Registration'),
      'module' => 'features',
      'description' => t('An individual registration for a volunteer timeslot.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
    'volunteer_timeslot' => array(
      'name' => t('Volunteer Timeslot'),
      'module' => 'features',
      'description' => t('A timeslot for volunteers which can be repeated'),
      'has_title' => '1',
      'title_label' => t('Volunteer Timeslot Name'),
      'has_body' => '1',
      'body_label' => t('Volunteer Timeslot Description'),
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function volunteer_registration_feature_rules_defaults() {
  return array(
    'rules' => array(
      'rules_notification_email_for_volunteer_coordinator' => array(
        '#type' => 'rule',
        '#set' => 'event_node_insert',
        '#label' => 'Notification Email for Volunteer Coordinator',
        '#active' => 0,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Volunteer Registration',
          'volunteer_registration_feature' => 'volunteer_registration_feature',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Created content is Volunteer Registration',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'volunteer_registration' => 'volunteer_registration',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'to' => 'test@test.com',
              'from' => '',
              'subject' => 'A new volunteer has registered',
              'message' => 'A new volunteer has registered for [node:field_volunteer_timeslot_ref-title-raw]

You can view or edit the registration at: [node:node-url]',
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'message' => array(
                    '0' => 'node',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_action_mail',
            '#info' => array(
              'label' => 'Email Volunteer Registration Coordinator',
              'label callback' => FALSE,
              'module' => 'System',
              'eval input' => array(
                '0' => 'subject',
                '1' => 'message',
                '2' => 'from',
                '3' => 'to',
              ),
            ),
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function volunteer_registration_feature_views_api() {
  return array(
    'api' => '2',
  );
}
